
Red Hat Linux 7.3 Release Notes

Copyright © 2002 von Red Hat, Inc.
         _________________________________________________________

   Inhaltsverzeichnis
   [1]Anaconda/Installer Notes
   [2]Kernel Notes
   [3]Allgemeine Anmerkungen zu dieser Distribution
   [4]Neustrukturierung der Pakete

Anaconda/Installer Notes

Boot-Loader

     * Bei einem Upgrade aktualisiert anaconda nun standardmäßig Ihre
       aktuelle Boot-Loader Konfiguration ohne dabei eine neue zu
       erstellen. Wenn Sie LILO verwenden, aber zu GRUB wechseln möchten,
       müssen Sie das Erstellen einer neuen Boot-Loader Konfiguration
       wählen, wenn Sie während des Upgrade-Prozesses danach gefragt
       werden.
     _________________________________________________________________

Kickstart

     * Die neue Anweisung %include kann mit Kickstart verwendet werden.
       Dadurch können Sie die Inhalte anderer Dateien als Teil Ihrer
       Kickstart-Konfiguration einfügen. Diese Dateien sollten sich
       entweder in der Initial Ramdisk (initrd) des Installers befinden,
       oder dynamisch im %pre Abschnitt der Kickstart-Konfiguration
       erstellt werden.
       Weitere Informationen über anaconda und die Kickstart-
       Konfiguration finden Sie in der Dokumnetation unter
       /usr/share/doc/anaconda-7.3/.
     _________________________________________________________________

Verschiedenes

     * Der selbstständige Upgrade-Modus (der am Boot-Prompt mit dem
       Befehl linux upgrade ausgeführt wurde), wird nicht mehr
       unterstützt.
     * Die Installation von einem NFS-Verzeichniss, das alle
       erforderlichen ISO-Dateien enthält, wird jetzt unterstützt.
       Darüberhinaus wird für den Fall, dass in dem Verzeichnis, von dem
       Sie installieren, die Datei updates.img vorhanden ist, diese für
       Anaconda-Updates verwendet.
       In der Datei install-methods.txt des Pakets Anaconda RPM finden
       Sie sowohl detaillierte Informationen über die verschiedenen
       Installationsmethoden von Red Hat Linux als auch Informationen
       über die Anwendung von Anaconda Updates.
     * Die ISO-Images beinhalten nun md5sum. Um die Integrität eines
       ISO-Images zu testen, geben Sie am Installations Boot-Prompt den
       Befehl linuxmediacheck ein. Das Installationsprogramm fordert Sie
       auf, eine CD einzulegen und auf OK zu drücken, um die Checksumme
       zu erstellen. Diese Operation kann mit jeder Red Hat Linux CD und
       zu jeder Zeit durchgeführt werden. Wir empfehlen, diese Operation
       bei jeder CD durchzuführen, die mithilfe heruntergeladener
       ISO-Images erstellt wurde. Dieses Verfahren funktioniert nur bei
       Installationen von CDROM.
     * Die Protokolldatei, die Ihre Installation zusammenfasst, befindet
       sich nun als /root/install.log und nicht mehr als /tmp/install.log
       in /root. Die Update-Protokolle befinden sich ebenfalls in einer
       neuen Location und zwar in /root/upgrade.log.
     _________________________________________________________________

Kernel Notes

Red Hat Linux 7.3 enthält den Kernel 2.4.18. Dieser Kernel bietet
einen verbesserten Scheduler für eine geringere Wartezeit und bessere
SMP-Performance.

     * Verbesserte Scheduler für kürzere Wartezeit und bessere SMP-
       Performance
     * Support für 802.11Q (VLAN)
     * Support für S.M.A.R.T. (TM) und andere Überwachungstechniken für
       Festplattenlaufwerke; in bestimmten Fällen können
       Festplattenlaufwerke, die diese Technologien verwenden, dem
       Benutzer im voraus Fehler anzeigen.
     * LVM (Logical Volume Management) Support
     * USB 2.0 Support
     * LBA48/ATA133 Support für Laufwerke > 137GB
     * Support für Cenatek Rocket Drive Disketten
     * Ältere (vor der IDE Ära) CD-ROM Laufwerke werden nicht länger
       unterstützt.
     _________________________________________________________________

Allgemeine Anmerkungen zu dieser Distribution

     * Beim Upgraden von Red Hat Linux 6.x, 7.0, 7.1, 7.2 und 7.3
       Systemen, die Ximian GNOME ausführen, können Probleme auftreten.
       Diese Probleme resultieren aus der Überschneidung von offiziellen
       Red Hat Linux RPMs und Ximian RPMs. Bitte bedenken Sie, dass diese
       Konfiguration von Red Hat nicht unterstützt wird. Sie können diese
       Probleme auf verschiedene Weisen lösen:
       1) Sie können Ximian GNOME von Ihrem Red Hat Linux System
       entfernen, bevor Sie Red Hat Linux upgraden.
       2) Sie können Red Hat Linux upgraden und anschließend Ximian GNOME
       sofort neu installieren.
       3) Sie können Red Hat Linux upgraden, anschließend sofort alle
       verbleibenden Ximian RPMs entfernen und durch die entsprechenden
       Red Hat Linux RPMs ersetzen.
       Sie müssen das Problem der Überschneidung der Version auf jeden
       Fall mit einer der oben genannten Methode lösen. Andernfalls ist
       Ihre GNOME-Konfiguration instabil.
     * KDE wurde auf 3.0.0 aktualisiert und enthält nützliche
       Erweiterungen sowie einige neue Applikationen und Features.
       Anti-Alias Fonts scheinen nach dem Upgrade auf KDE 3.0.0 nicht zu
       funktionieren. Das resultiert aus dem Hinzufügen eines Features:
       Aufgrund des Qt 3.0 Updates können nun in Qt Applikationen
       Anti-Alias- und nicht-Anti-Alias Fonts gleichzeitig verwendet
       werden. Solange die Standard-Fonts der KDE Desktop- Umgebung
       Bitmap-Fonts sind und demzufolge keine Anti-Aliased Fonts sind,
       kann mit dem Button "Anti-Alias Fonts aktivieren" in KDE nicht bei
       allen Applikationen das Erscheinungsbild modifiziert werden. Um
       über Anti-Alias Fonts in Menüs, Fenster- Überschriften etc. zu
       verfügen, ändern Sie die Fonts für diese Elemente (zum Beispiel,
       indem Helvetica durch Helmet und Courier durch Lucidatypewriter
       ersetzt wird).
     * Red Hat Linux enthält nun einen Port des alternativen Debian
       Systems, um mehrere Pakete zu unterstützen, die bestimmte Service
       bieten. Jede Binärdatei/Datei, die sich in diesen Paketen
       befindet, wird durch ein Symlink nach /etc ersetzt; wodurch die
       Version der in Frage kommenden alternativen Datei erkannt wird.
       Zum Beispiel:
       /usr/sbin/sendmail -> /etc/alternatives/mta ->
       /usr/sbin/sendmail.sendmail
       Diese Symlinks werden von /usr/sbin/alternatives hinzugefügt und
       verwaltet. Weitere Informationen, siehe man 8 alternatives
       Red Hat Linux bietet derzeit zwei Mail Transport Agent
       Alternativen: Sendmail und Postfix. Um die Dämon-Alternativen zu
       drucken, wählen Sie LPRng und CUPS.
       Beachten Sie, dass die Konfigurationen für LPRng und CUPS
       unterschiedlich sind. Wenn Sie von einem Drucksystem zum anderen
       wechseln, müssen Sie Ihre Drucker neu konfigurieren. postfix und
       sendmail haben ebenfalls unterschiedliche Konfigurationsdateien.
     * XFree86 wurde auf die Version 4.2.0. aktualisiert. Das umfasst
       verbesserten Support für folgende grafische Chipsets:
       ATI Radeon 7500 (2D/3D), Radeon 8500 (2D)
       ATI Radeon Mobility M6/M7 (2D/3D)
       Intel i830 (2D/3D)
       Matrox G550
       nVidia nForce
       3DLabs Permedia 4
       Ältere S3 (nicht-Savage, nicht-ViRGE) Chipsets
       BITTE BEACHTEN: Das nVidia GeForce 4 Chipset wird vom "nv" Treiber
       in XFree86 4.2.0. nicht unterstützt. Der XFree86 "vesa" Treiber,
       der ein VESA BIOS der Grafikkarte verwendet, kann als temporärer
       Workaround verwendet werden, bis offizieller Support zur Verfügung
       steht.
     * Mozilla wurde auf die Version 0.9.9 aktualisiert. Diese Version
       umfasst MathML Support, javascript Profiling, S/MIME Support in
       Mail und News, tabelliertes Browsing, LDAP Support im Adressbuch
       und eine große Anzahl von Bug Fixes.
     * Der Evolution Mailer/Kalender/Kontakt Manager wurde hinzugefügt.
       Evolution enthält POP, IMAP und lokalen Mail-Support, iCalendar
       Support für Zeitplanung sowie integriegtes Kontakt-Management und
       Onlone-Tasklisten.
     * MrProject, ein Projekt-Managementtool, wurde hinzugefügt.
       MrProject unterstützt das Planen und Verfolgen von Projekten,
       einschließlich Gantt Diagramme, Abhängigkeiten und das Zuweisen
       von Ressourcen.
     * Die GnomeMeeting Videokonferenz-Applikation wurde hinzugefügt.
       GnomeMeeting ist ein H.323 kompatibles Videokonferenztool. Es
       unterstützt das H.245 Tunneling sowie den Nur-Audio Modus.
     * Red Hat Linux unterstützt nun sowohl tradizionelles als auch
       vereinfachtes Chinesisch, zusätzlich zu dem bereits vorhandenen
       Support für amerikanisches Englisch, Französisch, Deutsch,
       Italienisch, Japanisch, Koreanisch und Spanisch.
     * Für DVD-R, DVD+RW und DVD-RW Treiber wurde Support hinzugefügt,
       der im Paket dvdrtools verfügbar ist.
     * Das Formatieren von DocBook XML Dokumenten, die die XSL Stylesheet
       Sprache verwenden, ist nun möglich. Nähere Informationen dazu
       finden Sie in der xmlto(1) man-Seite.
     * Die DocBook Document Type Definitions (DTDs) wurden in einem RPM
       Paket mit der Bezeichnung docbook-dtds zusammengeschlossen.
     * Das Paket gPhoto2 wurde der Distribution hinzugefügt. gPhoto2 ist
       ein Software-Applikations- und Bibliotheksinterface für digitale
       Kameras. Das Paket gPhoto2 enthält gtKam, ein grafisches
       Interface, das gPhoto2 verwendet. Das KDE Interface Kamera, für
       digitale Kameras wurde ebenfalls hinzugefügt. Die Applikation
       gphoto (0.4.3) läuft aus und wird in einer künftigen Version
       entfernt.
     * Die Unitscripts deaktivieren nun standardmäßig DMA auf IDE
       CD-ROMs. Um den DMA wieder zu aktivieren, erstellen Sie eine
       /etc/sysconfig/harddisk<device> Datei, die USE_DMA=1 enthält,
       wobei <device> das Disketten oder CD-ROM Laufwerk ist (wie z.B.
       hdc ).
     * /sbin/service wechselt nun in das Root-Verzeichnis, bevor Service
       gestartet oder angehalten werden. Es wurden ebenfalls Änderungen
       vorgenommen, wie /sbin/service Umgebungsvariablen handhabt. Wenn
       z.B. ein Initskript eine spezielle Umgebungsvariable (PATH, etc)
       erfordert, muss das Skript diese Variablen ausdrücklich einstellen
       anstatt sie zu übernehmen.
     * Das Paket bcm5820 wurde durch hwcrypto ersetzt, das über Support
       für den AEP 1000 Kryptograph-Beschleuniger verfügt.
     * Das Programm xscanimage läuft aus und wird in einer zukünftigen
       Version von Red Hat Linux entfernt. Stattdessen wird das Programm
       xsane verwendet.
     * Das Paket rp3 wurde entfernt. Der Dial-Up Zugriff wird nun mit
       redhat-config-network konfiguriert. package.
     * Das Paket ircii wurde durch epic ersetzt. epic ist hauptsächlich
       mit ircii Skripts kompatibel und enthält mehr Features als ircii.
     * Das Paket mkkickstart wurde entfernt. Stattdessen wird nun das
       Programm ksconfig verwendet; Sie können nun ebenfalls
       /root/anaconda-ks.cfg bearbeiten, das vom Installer erstellt
       wurde.
     * Das Paket patchutils, mit Dienstprogrammen zur Bearbeitung von
       Patch-Dateien ist nun enthalten. Patch- Dateien werden
       üblicherweise bei der Software-Entwicklung verwendet.
     * Die Pakete autoconf253 und automake15 sind enthalten, die autoconf
       auf die Version 2.53 und automake auf die Version 1.5
       aktualisieren, für Personen, die eine aktualisierte
       Entwicklungsumgebung benötigen.
     * Das Paket glibc-kernheaders wurde hinzugefügt und ersetzt das
       Paket kernel-headers .
     * Das Paket postgresql wurde aktualisiert. Um Ihre Daten zu
       erhalten, kopieren Sie diese vor dem Aktualisieren mithilfe des
       Befehls pg_dumpall und speichern Sie die Daten nach Abschluss des
       Upgrades erneut. In der man-Seite pg_dumpall(1) finden Sie weitere
       Informationen.
     * Das Red Hat Network Panel Applet ist standardmäßig in den GNOME
       Desktop- Panels enthalten. Mithilfe dieses Applets können Sie
       Mitteilungen des Red Hat Network empfangen und Updates für Ihr Red
       Hat Linux System herunterladen. Beachten Sie bitte, dass das Red
       Hat Network Panel Applet nicht in Ihrem GNOME Desktop Panel
       erscheint, wenn Sie eine frühere Version von Red Hat Linux
       aktualisiert haben. Sie können dieses Applet jedoch wie folgt zu
       Ihrem Panel hinzufügen:
       Hauptmenü => Applets => Monitors => Red Hat Network Alert
       Notification Tool
     _________________________________________________________________

Neustrukturierung der Pakete

Folgende oben nicht erwähnte Applikationen und Pakete wurden in Red Hat
Linux 7.3 entfernt:

     * enlightenment
     * ext2ed
     * fnlib
     * gnome-pim
     * isapnptools
     * kaffe
     * libodbc++
     * linuxconf
     * lout
     * mawk
     * p2c
     * ttfm
     * xmorph
     * xmailbox
     * xrn
     * xsysinfo

   Folgende  Applikationen  und Pakete laufen aus und werden in künftigen
   Versionen von Red Hat Linux entfernt:

     * Netscape Communicator 4.7
     * XFree86 3.3.x
     * junkbuster

References

   1. file://localhost/tmp/html-sBAAC2#ANACONDA-INSTALLER-NOTES
   2. file://localhost/tmp/html-sBAAC2#KERNEL-NOTES
   3. file://localhost/tmp/html-sBAAC2#GENERAL-NOTES
   4. file://localhost/tmp/html-sBAAC2#DEPRECATED
